diff -ru linux-2.6.11.7/drivers/i2c/busses/scx200_i2c.c linux-2.6.11.7-wrap-powercontrol/drivers/i2c/busses/scx200_i2c.c
--- linux-2.6.11.7/drivers/i2c/busses/scx200_i2c.c	2005-04-07 20:57:38.000000000 +0200
+++ linux-2.6.11.7-wrap-powercontrol/drivers/i2c/busses/scx200_i2c.c	2005-04-12 20:42:20.558460761 +0200
@@ -102,6 +102,10 @@
 		return -EINVAL;
 	}
 
+    // Switch the LPC port to GPIO mode
+#define PMR 0x9030
+    outl(inl(PMR) & ~(1 << 16 | 1 << 14), PMR);
+
 	/* Configure GPIOs as open collector outputs */
 	scx200_gpio_configure(scl, ~2, 5);
 	scx200_gpio_configure(sda, ~2, 5);
diff -ru linux-2.6.11.7/drivers/serial/8250.c linux-2.6.11.7-wrap-powercontrol/drivers/serial/8250.c
--- linux-2.6.11.7/drivers/serial/8250.c	2005-04-07 20:57:09.000000000 +0200
+++ linux-2.6.11.7-wrap-powercontrol/drivers/serial/8250.c	2005-04-12 20:49:45.000000000 +0200
@@ -646,6 +646,10 @@
 	up->port.type = PORT_16550A;
 	up->capabilities |= UART_CAP_FIFO;
 
+    // Fixes the sometimes broken serial console during boot
+    // on WRAP
+    return;
+
 	/*
 	 * Check for presence of the EFR when DLAB is set.
 	 * Only ST16C650V1 UARTs pass this test.
